<?xml version="1.0" encoding="UTF-8"?>
<!--Multiple camera strategy config table-->
<MultiCameraConfigTable>
    <rule name = "ZOOM[0.1-0.8x)">
        <condition name = "ZOOM_RATIO" min = "0.1" max = "0.8"/>
        <outState>
            <camera name = "ultra_wide" prev = "true" stage = "binning"/>
        </outState>
    </rule>

    <rule name = "ZOOM[0.8-1.0x) zooming">
        <condition name = "ZOOM_RATIO" min = "0.8" max = "1.0"/>
        <outState>
            <camera name = "ultra_wide" prev = "true" stage = "binning"/>
            <camera name = "wide" stage = "binning"/>
        </outState>

        <rule name = "ZOOM[0.8-1.0x)">
            <condition name = "ZOOM_STATUS" value = "1"/>
            <outState>
                <camera name = "ultra_wide" prev = "true" stage = "binning"/>
            </outState>
        </rule>
    </rule>

    <rule name = "ZOOM[1.0-2.0x)">
        <condition name = "ZOOM_RATIO" min = "1.0" max = "2.0"/>
        <outState>
            <camera name = "wide" prev = "true" stage = "binning"/>
        </outState>
    </rule>

    <rule name = "ZOOM[2.0-2.5x) Zooming">
        <condition name = "ZOOM_RATIO" min = "2.0" max = "2.5"/>
        <outState>
            <camera name = "wide" prev = "true" stage = "binning"/>
            <camera name = "tele" stage = "binning"/>
        </outState>

        <rule name = "ZOOM[2.0-2.5x)">
            <condition name = "ZOOM_STATUS" value = "1"/>
            <outState>
                <camera name = "wide" prev = "true" stage = "binning"/>
            </outState>
        </rule>
    </rule>

    <rule name = "ZOOM[2.5-10.0x]">
        <condition name = "ZOOM_RATIO" min = "2.5" max = "20.1"/>
        <outState>
            <camera name = "tele" prev = "true" stage = "binning"/>
        </outState>

        <rule name = "[2.5x-10x, Slightly bright(Non Dark Night)] --> [tele binning]">
            <condition name = "META" tag = "MULTICAM_IS_DARK_NIGHT" type = "INT32" value = "0" outTag = "MULTICAM_CONDITION_DARK_NIGHT"/>
            <outState>
                <camera name = "tele" prev = "true" stage = "binning"/>
            </outState>
        </rule>

        <rule name = "[2.5x-10x, Dark night] --> [wide binning]">
            <condition name = "META" tag = "MULTICAM_IS_DARK_NIGHT" type = "INT32" value = "1" outTag = "MULTICAM_CONDITION_DARK_NIGHT"/>
            <outState>
                <camera name = "wide" prev = "true" stage = "binning"/>
            </outState>
        </rule>
    </rule>

    <!-- for output metadata only -->
    <rule name = "ZOOM[10000x] never go in ">
        <condition name = "ZOOM_RATIO" min = "10000" max = "10000.1"/>
        <condition name = "META" tag = "MULTICAM_IS_NIGHT" type = "INT32" value = "0" outTag = "MULTICAM_CONDITION_NIGHT"/>
        <condition name = "META" tag = "MULTICAM_IS_SUPER_NIGHT" type = "INT32" value = "0" outTag = "MULTICAM_CONDITION_SUPER_NIGHT"/>
        <condition name = "META" tag = "MULTICAM_IS_DARK_NIGHT" type = "INT32" value = "0" outTag = "MULTICAM_CONDITION_DARK_NIGHT"/>
        <condition name = "META" tag = "MULTICAM_IS_DEEP_DARK_NIGHT" type = "INT32" value = "0" outTag = "MULTICAM_CONDITION_DEEP_DARK_NIGHT"/>
        <outState>
            <camera name = "wide" prev = "true"  stage = "binning" />
        </outState>
    </rule>

</MultiCameraConfigTable>